//  strxlat.h  --  string translator
//  Container Lite (CL v 1.89)
//  (C) Copyright John Webster Small 1995
//  All rights reserved
//  For demo: CC -DSTRXLAT_DEMO strxlat cl

#ifndef strxlat_h
#define strxlat_h

#include <ctype.h>

#ifndef cl_h
  #include "cl.h"
#endif

class StrXlat : CL<char>  {
    static unsigned ridx;
    static int cmp2KeyStrs
        (const char * S1, const char * S2);
    virtual voidCmP cmPD() const
        { return (voidCmP) cmp2KeyStrs; }
public:
    StrXlat() : CL<char>(CL_ANDS) {}
    StrXlat(const char * filename)
        : CL<char>(filename)
        { setFlags(CL_ANDS); }
    CL<char>::load;
    CL<char>::save;
    int add(char * S)
        { return (insUniqueNew(S) != 0); }
    const char * operator[](const char * S)
        { return (findFirst(S)?
              &get()[ridx] : "not found"); }
    CL<char>::allClr;
};

#endif
