/*
        clstrtok.cpp -- class wrapper for strtok()
        (C) Copyright 1995  John Webster Small
        All rights reserved
*/

#include "clstrtok.h"

const char * CL_strtok::tok(const char * delimiters)
{
    char * token = 0;
    if (delimiters && _input)
    {
        if (first)
        {
            token = strtok((char *)
                (const char *)_input,delimiters);
            first = 0;
        }
        else
            token = strtok(0,delimiters);
        if (token)
            if (!insQDL(new cstr(token)))
                return 0;
    }
    return token;
}

CL_strtok& CL_strtok::parse(const char * delimiters)
{
    while (tok(delimiters))
        /* null stmt */;
    return *this;
}

CL_strtok& CL_strtok::operator()(const char * input)
{
    allClr();
    (void) _input.cpy(input);
    return *this;
}

CL_strtok& CL_strtok::operator()
    (const char * input, const char * delimiters)
{
    allClr();
    (void) _input.cpy(input);
    (void) parse(delimiters);
     return *this;
}

CL_strtok& CL_strtok::parse
    (const char * argv[], unsigned argc)
{
    if (argv)
        if (argc > 0U)
            while (argc--)
                (void) tok(argv[argc]);
        else
            while (tok(*argv++));
    return *this;
}

CL_strtok& CL_strtok::operator()
    (const char * input,
     const char * argv[], unsigned argc)
{
    allClr();
    (void) _input.cpy(input);
    (void) parse(argv,argc);
    return *this;
}
